/*
 * Organisation.java
 *
 * ECHA is providing program source code to facilitate the preparation of
 * pre-registration XML files. The code shall serve as example and
 * registrants are under no circumstances obliged to make use of this service
 * for submitting data to ECHA. In no event shall ECHA be liable for any
 * damages, direct, incidental or consequential (including through negligence
 * or otherwise) which may result from the use of the data provided, even if
 * ECHA has been advised of the possibility of such damages.
 * The users must assume the entire risk of using this source code.
 */

package eu.europa.echa.reach.preregistration;

import eu.europa.echa.reach.preregistration.xml.XMLWriter;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.SQLWarning;
import org.apache.log4j.Logger;
import org.xml.sax.SAXException;

/**
 *
 * @author Csk Gbor
 */
public class Organisation {
    private static final Logger logger = Logger.getLogger(Organisation.class);

    public String organisationName;
    public String departmentName;
    public ContactInfo contactInfo;
        
    public void serialize(XMLWriter xmlWriter) throws SerializationException  {
        try {
            final String ORGANISATION = "organisation";
            xmlWriter.startElement(XMLWriter.NS.CTI, ORGANISATION);
            
            if (organisationName != null) xmlWriter.writeElement(XMLWriter.NS.CTI, "organisationName", organisationName);
            if (departmentName != null) xmlWriter.writeElement(XMLWriter.NS.CTI, "departmentName", departmentName);
            if (contactInfo != null) contactInfo.serialize(xmlWriter);
            
            xmlWriter.endElement(XMLWriter.NS.CTI, ORGANISATION);
        } catch (SAXException ex) {
            throw new SerializationException(ex);
        }
    }

}